<!doctype html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>jQuery UI Resizable - Default functionality</title>
  <link rel="stylesheet" href="//code.jquery.com/ui/1.12.0/themes/base/jquery-ui.css">

  <style>
  #resizable { width: 350px; height: 350px; padding: 2.0em; }
  #resizable h3 { margin: 0; }

  </style>
  <script src="https://code.jquery.com/jquery-1.12.4.js"></script>
  <script src="https://code.jquery.com/ui/1.12.0/jquery-ui.js"></script>
  <script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyCUlQEVELKOBQi39VWgb7jjjq4a4lq9jdU"></script>
  <script>
  $( function() {
    $( "#resizable" ).resizable();
   // $( "#resizable1" ).resizable();
    var Latlng = new google.maps.LatLng(25.197193, 55.274321);
    	
	var mapOptions = {
	    zoom: 10,
	    center: Latlng
	};

	var map = new google.maps.Map(document.getElementById("resizable1"), mapOptions);

	// this is our gem
	google.maps.event.addDomListener(window, "resize", function() {
	    var center = map.getCenter();
	    google.maps.event.trigger(map, "resize");
	    map.setCenter(Latlng);
	});

  } );
  
  
  </script>
</head>
<body>
 
<div id="resizable" class="ui-widget-content">
<h3 id="resizable1" style="width:100%;height:400px;">Resizable</h3>
</div>
 
 
</body>
</html>
